## mx4j.tools.connector
Interface MBeanServerConnection

public interface MBeanServerConnection

The interface for generic MBeanServers.

Version:
  $Revision: 1.3 $

Method Summary
`void` `addNotificationListener(javax.management.ObjectName observed, javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback)` Deprecated.
`javax.management.ObjectInstance` `createMBean(java.lang.String className, javax.management.ObjectName objectName, java.lang.Object[] args, java.lang.String[] parameters)` Deprecated.
`javax.management.ObjectInstance` `createMBean(java.lang.String className, javax.management.ObjectName objectName, javax.management.ObjectName loaderName, java.lang.Object[] args, java.lang.String[] parameters)` Deprecated.
`java.lang.Object` `getAttribute(javax.management.ObjectName objectName, java.lang.String attribute)` Deprecated.
`javax.management.AttributeList` `getAttributes(javax.management.ObjectName objectName, java.lang.String[] attributes)` Deprecated.
`java.lang.String` `getDefaultDomain()` Deprecated.
`java.lang.Integer` `getMBeanCount()` Deprecated.
`javax.management.MBeanInfo` `getMBeanInfo(javax.management.ObjectName objectName)` Deprecated.
`javax.management.ObjectInstance` `getObjectInstance(javax.management.ObjectName objectName)` Deprecated.
`java.lang.Object` `invoke(javax.management.ObjectName objectName, java.lang.String methodName, java.lang.Object[] args, java.lang.String[] parameters)` Deprecated.
`boolean` `isInstanceOf(javax.management.ObjectName objectName, java.lang.String className)` Deprecated.
`boolean` `isRegistered(javax.management.ObjectName objectname)` Deprecated.
`java.util.Set` `queryMBeans(javax.management.ObjectName patternName, javax.management.QueryExp filter)` Deprecated.
`java.util.Set` `queryNames(javax.management.ObjectName patternName, javax.management.QueryExp filter)` Deprecated.
`void` `removeNotificationListener(javax.management.ObjectName observed, javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback)` Deprecated.
`void` `setAttribute(javax.management.ObjectName objectName, javax.management.Attribute attribute)` Deprecated.
`javax.management.AttributeList` `setAttributes(javax.management.ObjectName objectName, javax.management.AttributeList attributes)` Deprecated.
`void` `unregisterMBean(javax.management.ObjectName objectName)` Deprecated.

Method Detail

### addNotificationListener

    public void addNotificationListener(javax.management.ObjectName observed,
                                        javax.management.NotificationListener listener,
                                        javax.management.NotificationFilter filter,
                                        java.lang.Object handback)
                                 throws javax.management.InstanceNotFoundException,
                                        java.io.IOException

  Deprecated.
  Throws:
    `javax.management.InstanceNotFoundException`
    `java.io.IOException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName observed,
                                           javax.management.NotificationListener listener,
                                           javax.management.NotificationFilter filter,
                                           java.lang.Object handback)
                                    throws javax.management.InstanceNotFoundException,
                                           javax.management.ListenerNotFoundException,
                                           java.io.IOException

  Deprecated.
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ListenerNotFoundException`
    `java.io.IOException`

### createMBean

    public javax.management.ObjectInstance createMBean(java.lang.String className,
                                                       javax.management.ObjectName objectName,
                                                       java.lang.Object[] args,
                                                       java.lang.String[] parameters)
                                                throws javax.management.ReflectionException,
                                                       javax.management.InstanceAlreadyExistsException,
                                                       javax.management.MBeanRegistrationException,
                                                       javax.management.MBeanException,
                                                       javax.management.NotCompliantMBeanException,
                                                       javax.management.InstanceNotFoundException,
                                                       java.io.IOException

  Deprecated.
  Throws:
    `javax.management.ReflectionException`
    `javax.management.InstanceAlreadyExistsException`
    `javax.management.MBeanRegistrationException`
    `javax.management.MBeanException`
    `javax.management.NotCompliantMBeanException`
    `javax.management.InstanceNotFoundException`
    `java.io.IOException`

### createMBean

    public javax.management.ObjectInstance createMBean(java.lang.String className,
                                                       javax.management.ObjectName objectName,
                                                       javax.management.ObjectName loaderName,
                                                       java.lang.Object[] args,
                                                       java.lang.String[] parameters)
                                                throws javax.management.ReflectionException,
                                                       javax.management.InstanceAlreadyExistsException,
                                                       javax.management.MBeanRegistrationException,
                                                       javax.management.MBeanException,
                                                       javax.management.NotCompliantMBeanException,
                                                       javax.management.InstanceNotFoundException,
                                                       java.io.IOException

  Deprecated.
  Throws:
    `javax.management.ReflectionException`
    `javax.management.InstanceAlreadyExistsException`
    `javax.management.MBeanRegistrationException`
    `javax.management.MBeanException`
    `javax.management.NotCompliantMBeanException`
    `javax.management.InstanceNotFoundException`
    `java.io.IOException`

### unregisterMBean

    public void unregisterMBean(javax.management.ObjectName objectName)
                         throws javax.management.InstanceNotFoundException,
                                javax.management.MBeanRegistrationException,
                                java.io.IOException

  Deprecated.
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.MBeanRegistrationException`
    `java.io.IOException`

### getAttribute

    public java.lang.Object getAttribute(javax.management.ObjectName objectName,
                                         java.lang.String attribute)
                                  throws javax.management.MBeanException,
                                         javax.management.AttributeNotFoundException,
                                         javax.management.InstanceNotFoundException,
                                         javax.management.ReflectionException,
                                         java.io.IOException

  Deprecated.
  Throws:
    `javax.management.MBeanException`
    `javax.management.AttributeNotFoundException`
    `javax.management.InstanceNotFoundException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### setAttribute

    public void setAttribute(javax.management.ObjectName objectName,
                             javax.management.Attribute attribute)
                      throws javax.management.InstanceNotFoundException,
                             javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException,
                             java.io.IOException

  Deprecated.
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.AttributeNotFoundException`
    `javax.management.InvalidAttributeValueException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### getAttributes

    public javax.management.AttributeList getAttributes(javax.management.ObjectName objectName,
                                                        java.lang.String[] attributes)
                                                 throws javax.management.InstanceNotFoundException,
                                                        javax.management.ReflectionException,
                                                        java.io.IOException

  Deprecated.
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### setAttributes

    public javax.management.AttributeList setAttributes(javax.management.ObjectName objectName,
                                                        javax.management.AttributeList attributes)
                                                 throws javax.management.InstanceNotFoundException,
                                                        javax.management.ReflectionException,
                                                        java.io.IOException

  Deprecated.
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### invoke

    public java.lang.Object invoke(javax.management.ObjectName objectName,
                                   java.lang.String methodName,
                                   java.lang.Object[] args,
                                   java.lang.String[] parameters)
                            throws javax.management.InstanceNotFoundException,
                                   javax.management.MBeanException,
                                   javax.management.ReflectionException,
                                   java.io.IOException

  Deprecated.
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### getDefaultDomain

    public java.lang.String getDefaultDomain()
                                      throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### getMBeanCount

    public java.lang.Integer getMBeanCount()
                                    throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### isRegistered

    public boolean isRegistered(javax.management.ObjectName objectname)
                         throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo(javax.management.ObjectName objectName)
                                            throws javax.management.InstanceNotFoundException,
                                                   javax.management.IntrospectionException,
                                                   javax.management.ReflectionException,
                                                   java.io.IOException

  Deprecated.
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.IntrospectionException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### getObjectInstance

    public javax.management.ObjectInstance getObjectInstance(javax.management.ObjectName objectName)
                                                      throws javax.management.InstanceNotFoundException,
                                                             java.io.IOException

  Deprecated.
  Throws:
    `javax.management.InstanceNotFoundException`
    `java.io.IOException`

### isInstanceOf

    public boolean isInstanceOf(javax.management.ObjectName objectName,
                                java.lang.String className)
                         throws javax.management.InstanceNotFoundException,
                                java.io.IOException

  Deprecated.
  Throws:
    `javax.management.InstanceNotFoundException`
    `java.io.IOException`

### queryMBeans

    public java.util.Set queryMBeans(javax.management.ObjectName patternName,
                                     javax.management.QueryExp filter)
                              throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### queryNames

    public java.util.Set queryNames(javax.management.ObjectName patternName,
                                    javax.management.QueryExp filter)
                             throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.